Package net.md_5.bungee.protocol

# Class ProtocolConstants

java.lang.Object
net.md_5.bungee.protocol.ProtocolConstants

public class ProtocolConstants extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ProtocolConstants.Direction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MINECRAFT_1_10`
  `static final int`
  `MINECRAFT_1_11`
  `static final int`
  `MINECRAFT_1_11_1`
  `static final int`
  `MINECRAFT_1_12`
  `static final int`
  `MINECRAFT_1_12_1`
  `static final int`
  `MINECRAFT_1_12_2`
  `static final int`
  `MINECRAFT_1_13`
  `static final int`
  `MINECRAFT_1_13_1`
  `static final int`
  `MINECRAFT_1_13_2`
  `static final int`
  `MINECRAFT_1_14`
  `static final int`
  `MINECRAFT_1_14_1`
  `static final int`
  `MINECRAFT_1_14_2`
  `static final int`
  `MINECRAFT_1_14_3`
  `static final int`
  `MINECRAFT_1_14_4`
  `static final int`
  `MINECRAFT_1_15`
  `static final int`
  `MINECRAFT_1_15_1`
  `static final int`
  `MINECRAFT_1_15_2`
  `static final int`
  `MINECRAFT_1_16`
  `static final int`
  `MINECRAFT_1_16_1`
  `static final int`
  `MINECRAFT_1_16_2`
  `static final int`
  `MINECRAFT_1_16_3`
  `static final int`
  `MINECRAFT_1_16_4`
  `static final int`
  `MINECRAFT_1_17`
  `static final int`
  `MINECRAFT_1_17_1`
  `static final int`
  `MINECRAFT_1_18`
  `static final int`
  `MINECRAFT_1_18_2`
  `static final int`
  `MINECRAFT_1_19`
  `static final int`
  `MINECRAFT_1_19_1`
  `static final int`
  `MINECRAFT_1_19_3`
  `static final int`
  `MINECRAFT_1_19_4`
  `static final int`
  `MINECRAFT_1_20`
  `static final int`
  `MINECRAFT_1_20_2`
  `static final int`
  `MINECRAFT_1_20_3`
  `static final int`
  `MINECRAFT_1_20_5`
  `static final int`
  `MINECRAFT_1_21`
  `static final int`
  `MINECRAFT_1_21_11`
  `static final int`
  `MINECRAFT_1_21_2`
  `static final int`
  `MINECRAFT_1_21_4`
  `static final int`
  `MINECRAFT_1_21_5`
  `static final int`
  `MINECRAFT_1_21_6`
  `static final int`
  `MINECRAFT_1_21_7`
  `static final int`
  `MINECRAFT_1_21_9`
  `static final int`
  `MINECRAFT_1_8`
  `static final int`
  `MINECRAFT_1_9`
  `static final int`
  `MINECRAFT_1_9_1`
  `static final int`
  `MINECRAFT_1_9_2`
  `static final int`
  `MINECRAFT_1_9_4`
  `static final int`
  `MINECRAFT_26_1`
  `static final List<Integer>`
  `SUPPORTED_VERSION_IDS`
  `static final List<String>`
  `SUPPORTED_VERSIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MINECRAFT_1_8

    public static final int MINECRAFT_1_8
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_9

    public static final int MINECRAFT_1_9
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_9_1

    public static final int MINECRAFT_1_9_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_9_2

    public static final int MINECRAFT_1_9_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_9_4

    public static final int MINECRAFT_1_9_4
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_10

    public static final int MINECRAFT_1_10
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_11

    public static final int MINECRAFT_1_11
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_11_1

    public static final int MINECRAFT_1_11_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_12

    public static final int MINECRAFT_1_12
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_12_1

    public static final int MINECRAFT_1_12_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_12_2

    public static final int MINECRAFT_1_12_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_13

    public static final int MINECRAFT_1_13
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_13_1

    public static final int MINECRAFT_1_13_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_13_2

    public static final int MINECRAFT_1_13_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_14

    public static final int MINECRAFT_1_14
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_14_1

    public static final int MINECRAFT_1_14_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_14_2

    public static final int MINECRAFT_1_14_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_14_3

    public static final int MINECRAFT_1_14_3
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_14_4

    public static final int MINECRAFT_1_14_4
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_15

    public static final int MINECRAFT_1_15
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_15_1

    public static final int MINECRAFT_1_15_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_15_2

    public static final int MINECRAFT_1_15_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_16

    public static final int MINECRAFT_1_16
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_16_1

    public static final int MINECRAFT_1_16_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_16_2

    public static final int MINECRAFT_1_16_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_16_3

    public static final int MINECRAFT_1_16_3
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_16_4

    public static final int MINECRAFT_1_16_4
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_17

    public static final int MINECRAFT_1_17
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_17_1

    public static final int MINECRAFT_1_17_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_18

    public static final int MINECRAFT_1_18
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_18_2

    public static final int MINECRAFT_1_18_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_19

    public static final int MINECRAFT_1_19
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_19_1

    public static final int MINECRAFT_1_19_1
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_19_3

    public static final int MINECRAFT_1_19_3
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_19_4

    public static final int MINECRAFT_1_19_4
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_20

    public static final int MINECRAFT_1_20
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_20_2

    public static final int MINECRAFT_1_20_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_20_3

    public static final int MINECRAFT_1_20_3
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_20_5

    public static final int MINECRAFT_1_20_5
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21

    public static final int MINECRAFT_1_21
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_2

    public static final int MINECRAFT_1_21_2
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_4

    public static final int MINECRAFT_1_21_4
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_5

    public static final int MINECRAFT_1_21_5
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_6

    public static final int MINECRAFT_1_21_6
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_7

    public static final int MINECRAFT_1_21_7
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_9

    public static final int MINECRAFT_1_21_9
    See Also:
      - Constant Field Values

  - ### MINECRAFT_1_21_11

    public static final int MINECRAFT_1_21_11
    See Also:
      - Constant Field Values

  - ### MINECRAFT_26_1

    public static final int MINECRAFT_26_1
    See Also:
      - Constant Field Values

  - ### SUPPORTED_VERSIONS

    public static final List<String> SUPPORTED_VERSIONS

  - ### SUPPORTED_VERSION_IDS

    public static final List<Integer> SUPPORTED_VERSION_IDS

- ## Constructor Details

  - ### ProtocolConstants

    public ProtocolConstants()